=== debian/changelog ===
privacybrowser (0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:  Add hunspell-ko to recommends as it now ships .bdic
    files.

 -- Soren Stoutner <soren@stoutner.com>  Tue, 13 Jun 2023 11:26:53 -0700

privacybrowser (0.3-1) experimental; urgency=low

  * New upstream release.
  * Add debian/tests.

 -- Soren Stoutner <soren@stoutner.com>  Mon, 08 May 2023 15:28:54 -0700

privacybrowser (0.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control:  Add depends on khelpcenter so that the Handbook
    works on non-KDE installations.

 -- Soren Stoutner <soren@stoutner.com>  Mon, 17 Apr 2023 12:45:06 -0700

privacybrowser (0.1-1) experimental; urgency=low

  * Initial release (closes: #1031755).

 -- Soren Stoutner <soren@stoutner.com>  Sat, 11 Mar 2023 13:58:11 -0700
