=== debian/control ===
Source: privacybrowser
Maintainer: Soren Stoutner <soren@stoutner.com>
Section: web
Priority: optional
# pkg-kde-tools is required to use `--with kf5` in debian/rules.
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libkf5completion-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5crash-dev,
 libkf5dbusaddons-dev,
 libkf5doctools-dev,
 libkf5i18n-dev,
 libkf5kio-dev,
 libkf5notifications-dev,
 libkf5xmlgui-dev,
 pkg-kde-tools,
 qtbase5-dev,
 qtwebengine5-dev
Standards-Version: 4.6.2
Homepage: https://www.stoutner.com/privacy-browser-pc/
Vcs-Git: https://salsa.debian.org/sorenstoutner/privacybrowser.git
Vcs-Browser: https://salsa.debian.org/sorenstoutner/privacybrowser
Rules-Requires-Root: no

Package: privacybrowser
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 khelpcenter
Suggests:
 hunspell-ca,
 hunspell-de-at,
 hunspell-de-ch,
 hunspell-de-de,
 hunspell-eu,
 hunspell-ko,
 hunspell-lv
Description: web browser that respects your privacy
 Privacy Browser is a web browser based on Qt WebEngine with a focus on privacy
 and security. Features like JavaScript and cookies are disabled by default but
 are easy to automatically enable on-the-fly or by domain.
