=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,11 +35,16 @@
 
 # Use KDE Frameworks to handle internationalization of the following UI files.
 ki18n_wrap_ui(privacybrowser
+    uis/AddBookmarkDialog.ui
+    uis/AddFolderDialog.ui
     uis/AddOrEditCookieDialog.ui
     uis/AddTabWidget.ui
+    uis/BookmarksDialog.ui
     uis/CookiesDialog.ui
     uis/DomainSettingsDialog.ui
     uis/DurableCookiesDialog.ui
+    uis/EditBookmarkDialog.ui
+    uis/EditFolderDialog.ui
     uis/SaveDialog.ui
     uis/SettingsGeneral.ui
     uis/SettingsPrivacy.ui
