=== src/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -18,9 +18,14 @@
 
 # List the sources to include in the executable.
 target_sources(privacybrowser PRIVATE
+    AddBookmarkDialog.cpp
+    AddFolderDialog.cpp
     AddOrEditCookieDialog.cpp
+    BookmarksDialog.cpp
     CookiesDialog.cpp
     DomainSettingsDialog.cpp
     DurableCookiesDialog.cpp
+    EditBookmarkDialog.cpp
+    EditFolderDialog.cpp
     SaveDialog.cpp
 )
