=== src/helpers/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 # List the sources to include in the executable.
 target_sources(privacybrowser PRIVATE
+    FolderHelper.cpp
     SearchEngineHelper.cpp
     UserAgentHelper.cpp
 )
