=== debian/changelog ===
privacybrowser (0.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:06 +1100

privacybrowser (0.5-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:32:34 +0000

privacybrowser (0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:  Add additional dictionaries to suggests.
  * debian/NEWS:  Add bookmarks toolbar position explanation.

 -- Soren Stoutner <soren@stoutner.com>  Thu, 12 Oct 2023 10:17:03 -0700
