=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: privacybrowser
-Maintainer: Soren Stoutner <soren@stoutner.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Soren Stoutner <soren@stoutner.com>
 Section: web
 Priority: optional
 # pkg-kde-tools is required to use `--with kf5` in debian/rules.
@@ -38,9 +39,15 @@
  hunspell-de-at,
  hunspell-de-ch,
  hunspell-de-de,
+ hunspell-en-med,
  hunspell-eu,
  hunspell-ko,
- hunspell-lv
+ hunspell-lv,
+ myspell-da,
+ myspell-de-de-1901,
+ myspell-eo,
+ myspell-es,
+ myspell-fo
 Description: web browser that respects your privacy
  Privacy Browser is a web browser based on Qt WebEngine with a focus on privacy
  and security. Features like JavaScript and cookies are disabled by default but
