=== debian/rules ===
#!/usr/bin/make -f

# Uncomment below to enable verbose build messages.
#export DH_VERBOSE = 1

# Enable all build hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	# `--with kf5` does not compress index.docbook, which is how KDE likes it.
	dh $@ --with kf5
