=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://download.stoutner.com/privacybrowser-pc/privacybrowser-(.+).tar.xz
