=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
+# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
 #
 # This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
 #
@@ -18,7 +18,9 @@
 
 # List the sources to include in the executable.
 target_sources(privacybrowser PRIVATE
+    DevToolsWebEngineView.cpp
     DraggableTreeView.cpp
     PrivacyWebEngineView.cpp
     TabWidget.cpp
+    UrlLineEdit.cpp
 )
