=== debian/changelog ===
privacybrowser (0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog:  Update my email address from soren@stoutner.com to
    soren@debian.org now that I am a Debian Developer.
  * debian/control:
    - Update my email address to be soren@debian.org.
    - Add Provides: www-browser.
    - Add additional dictionaries that now ship .bdic binary dictionaries to
      Suggests.
    - Bump standards-version to 4.7.0 (no changes).
    - Reformat for readability.
  * debian/copyright:
    - Update my email address for Debian contributions.
    - Update copyright year to include 2024.
    - Add entries for filter lists and loading.gif.
  * debian/rules:  Add build hardening flags.

 -- Soren Stoutner <soren@debian.org>  Mon, 15 Jul 2024 14:29:49 -0700
