=== debian/control ===
Source: privacybrowser
Maintainer: Soren Stoutner <soren@debian.org>
Section: web
Priority: optional
# pkg-kde-tools is required to use `--with kf5` in debian/rules.
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5completion-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtwebengine5-dev
Standards-Version: 4.7.0
Homepage: https://www.stoutner.com/privacy-browser-pc/
Vcs-Git: https://salsa.debian.org/sorenstoutner/privacybrowser.git
Vcs-Browser: https://salsa.debian.org/sorenstoutner/privacybrowser
Rules-Requires-Root: no

Package: privacybrowser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         khelpcenter
Suggests: hunspell-af,
          hunspell-an,
          hunspell-be,
          hunspell-bg,
          hunspell-bn,
          hunspell-bs,
          hunspell-ca,
          hunspell-cs,
          hunspell-da,
          hunspell-de-at,
          hunspell-de-at-frami,
          hunspell-de-ch,
          hunspell-de-ch-frami,
          hunspell-de-de,
          hunspell-de-de-frami,
          hunspell-el,
          hunspell-en-gb,
          hunspell-en-med,
          hunspell-en-za,
          hunspell-eo,
          hunspell-es,
          hunspell-eu,
          hunspell-gd,
          hunspell-gl,
          hunspell-gu,
          hunspell-gug,
          hunspell-he,
          hunspell-hi,
          hunspell-hr,
          hunspell-hu,
          hunspell-id,
          hunspell-is,
          hunspell-it,
          hunspell-kmr,
          hunspell-ko,
          hunspell-lo,
          hunspell-lt,
          hunspell-lv,
          hunspell-mn,
          hunspell-no,
          hunspell-ne,
          hunspell-oc,
          hunspell-pl,
          hunspell-pt-br,
          hunspell-pt-pt,
          hunspell-ro,
          hunspell-ru,
          hunspell-si,
          hunspell-sk,
          hunspell-sl,
          hunspell-sr,
          hunspell-sv,
          hunspell-sw,
          hunspell-te,
          hunspell-th,
          hunspell-tr,
          hunspell-uk,
          hunspell-vi,
          myspell-da,
          myspell-de-de-1901,
          myspell-eo,
          myspell-es,
          myspell-fo
Provides: www-browser
Description: web browser that respects your privacy
 Privacy Browser is a web browser based on Qt WebEngine with a focus on privacy
 and security. Features like JavaScript and cookies are disabled by default but
 are easy to automatically enable on-the-fly or by domain.
