## privacybrowser 0.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
+# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
 #
 # This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
 #
@@ -13,7 +13,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.
+# along with Privacy Browser PC.  If not, see <https://www.gnu.org/licenses/>.
 
 
 # Set the minimum CMake version.
@@ -42,14 +42,15 @@
 include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
 
+# Disable forcing of PIE, which appears to cause problems with Ubuntu's build system.  <https://bugs.launchpad.net/ubuntu/+source/privacybrowser/+bug/2078732>
 # Include the Position Independent Executable checker.  <https://cmake.org/cmake/help/latest/policy/CMP0083.html>
-include(CheckPIESupported)
+#include(CheckPIESupported)
 
 # Check to see if Position Independent Executable is supported in the current linker and environment.
-check_pie_supported()
+#check_pie_supported()
 
 # Add the Position Independent Executable compiler flag if it is supported in the current linker and environment.  <https://cmake.org/cmake/help/latest/variable/CMAKE_POSITION_INDEPENDENT_CODE.html>
-set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
+#set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
 
 # Load the Qt components.
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
