=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
+# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
 #
-# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
+# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
 #
 # Privacy Browser PC is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -45,6 +45,11 @@
     uis/DurableCookiesDialog.ui
     uis/EditBookmarkDialog.ui
     uis/EditFolderDialog.ui
+    uis/FilterEntryDialog.ui
+    uis/FilterListsDialog.ui
+    uis/HttpAuthenticationDialog.ui
+    uis/RequestDetailDialog.ui
+    uis/RequestsDialog.ui
     uis/SaveDialog.ui
     uis/SettingsGeneral.ui
     uis/SettingsPrivacy.ui
