=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 target_sources(privacybrowser PRIVATE
     DevToolsWebEngineView.cpp
     DraggableTreeView.cpp
+    PrivacyWebEnginePage.cpp
     PrivacyWebEngineView.cpp
     TabWidget.cpp
     UrlLineEdit.cpp
