=== debian/changelog ===
privacybrowser (0.6.2-1~bpo12+2) bookworm-backports; urgency=medium

  * Add debian/patches/hardcode-dictionary-path.patch for compatibility with
    qtwebengine-opensource-src 5.15.17+dfsg2-3~bpo12+1.

 -- Soren Stoutner <soren@debian.org>  Wed, 22 Jan 2025 16:01:03 -0700

privacybrowser (0.6.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Mon, 07 Oct 2024 14:14:02 -0700

privacybrowser (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Debian/copyright:  Improve short wording and layout of licenses.
  * debian/upstream/metadata:  Add name to security contact email address.

 -- Soren Stoutner <soren@debian.org>  Mon, 30 Sep 2024 15:28:12 -0700

privacybrowser (0.6.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Tue, 27 Aug 2024 10:16:37 -0700

privacybrowser (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update the Vcs-Git and Vcs-Browser URLs to point to my new Salsa name.
    - Suggest hunspell-kk.

 -- Soren Stoutner <soren@debian.org>  Wed, 21 Aug 2024 10:21:51 -0700

privacybrowser (0.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Mon, 22 Jul 2024 11:27:16 -0700

privacybrowser (0.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/control:  Explicitly depend on qtwebengine5-dev >=
    5.15.15+dfsg-2~bpo12+2.
  * debian/copyright:  Update debian/* copyright year to include 2024.

 -- Soren Stoutner <soren@stoutner.com>  Mon, 08 Jan 2024 18:57:00 -0700
