=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
                libkf5xmlgui-dev,
                pkg-kde-tools,
                qtbase5-dev,
-               qtwebengine5-dev
+               qtwebengine5-dev (>= 5.15.17+dfsg-3~bpo12+1)
 Standards-Version: 4.7.0
 Homepage: https://www.stoutner.com/privacy-browser-pc/
-Vcs-Git: https://salsa.debian.org/sorenstoutner/privacybrowser.git
-Vcs-Browser: https://salsa.debian.org/sorenstoutner/privacybrowser
+Vcs-Git: https://salsa.debian.org/soren/privacybrowser.git
+Vcs-Browser: https://salsa.debian.org/soren/privacybrowser
 Rules-Requires-Root: no
 
 Package: privacybrowser
@@ -64,6 +64,7 @@
           hunspell-id,
           hunspell-is,
           hunspell-it,
+          hunspell-kk,
           hunspell-kmr,
           hunspell-ko,
           hunspell-lo,
