=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,16 @@
 # Enable all build hardening flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Export the DPKG default build flags.
+DPKG_EXPORT_BUILDFLAGS = 1
+
+# Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
+include /usr/share/dpkg/buildflags.mk
+
+# Append the CPPFLAGS to the standard CFLAGS and CXXFLAGS variables, which is how CMake likes it.  <https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake>
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
+
 %:
 	# `--with kf5` does not compress index.docbook, which is how KDE likes it.
 	dh $@ --with kf5
