=== debian/changelog ===
privacybrowser (0.7-3) unstable; urgency=medium

  * Add debian/gbp.conf to enforce pristine-tar and sign-tags.
  * Add debian/lrc.config to hid lrc false positives.
  * Add debian/patches/hardcode-dictionary-path.patch.
  * debian/salsa-ci.yml:  Update to match curent recommended contents.

 -- Soren Stoutner <soren@debian.org>  Thu, 26 Dec 2024 09:47:40 -0700

privacybrowser (0.7-2) unstable; urgency=medium

  * debian/control:  Remove unneeded build dependency on qtbase5-dev.

 -- Soren Stoutner <soren@debian.org>  Mon, 16 Dec 2024 12:01:03 -0700

privacybrowser (0.7-1) unstable; urgency=medium

  * debian/control:
    - Update Build-Depends for KF6.
    - Suggest hunspell-fr as it now ships .bdic files.
  * debian/lintian-overrides:  Removed obsolete "desktop-entry-lacks-keywords-
    entry".
  * debian/manpages:  Add a comment explaining the purpose of the file.
  * debian/rules:  Update dh to build "--with kf6".
  * debian/salsa-ci.yml:  Add file with default entries.

 -- Soren Stoutner <soren@debian.org>  Wed, 11 Dec 2024 16:09:34 -0700
